package kr.co.hanwha.hifive.data.model;

import java.util.ArrayList;

/**
 * Created by sanghoonkwon on 2018. 1. 25..
 */

public class MainHomeAssignedRoot extends BaseData {
    /**
     * 나의 업무(오늘할일)
     */
    ArrayList<TaskListData> listTodayAssignedTasks;
    /**
     * 나의 업무(오늘할일 제외)
     */
    ArrayList<TaskListData> listNotTodayAssignedTasks;
    /**
     * 나의 업무 대기 목록
     */
    ArrayList<TaskListData> listWaitingTasks;
    /**
     * 완료된 업무 목록
     */
    ArrayList<TaskListData> listClosedTasks;

    public ArrayList<TaskListData> getListTodayAssignedTasks() {
        return listTodayAssignedTasks;
    }

    public ArrayList<TaskListData> getListNotTodayAssignedTasks() {
        return listNotTodayAssignedTasks;
    }

    public ArrayList<TaskListData> getListWaitingTasks() {
        return listWaitingTasks;
    }

    public ArrayList<TaskListData> getListClosedTasks() {
        return listClosedTasks;
    }
}

/*
{
"rtn_message": "성공",
"rtn_code": 0,
"server_time": "2018-01-31 07:34:38",
"resver": "2.0",
"elapsedTime": "15 ms",
"listClosedTasks": [],
"listNotTodayAssignedTasks": [],
"listWaitingTasks": [],
"listTodayAssignedTasks": []
}
 */